  
apiVersion: v1
kind: Pod
metadata:
  name: conf-rinter-pod
spec:
  containers:
    - name: conf-printer-pod
      image: k8s.gcr.io/busybox
      command: [ "/bin/sh", "-c", "echo nume: $(nume_env), prenume: $(prenume_env), varasta: $(varsta_env)" ]
      env:
        - name: nume_env
          valueFrom:
            configMapKeyRef:
              name: configmap-demo
              key: nume
        - name: prenume_env
          valueFrom:
            configMapKeyRef:
              name: configmap-demo
              key: prenume_name
        - name: varsta_env
          valueFrom:
            configMapKeyRef:
              name: configmap-demo
              key: varsta
  restartPolicy: Never
